MAKEDBZ(8)

NAME
makedbz - Rebuild dbz files

SYNOPSIS
makedbz [-io] [-f filename] [-s size]

DESCRIPTION
makedbz rebuilds dbz database (also known as the history file). The default name of the text file is pathdb/history; to specify a different name, use the -f flag.

OPTIONS

-f filename
    If the -f flag is used, then the database files are named "filename.dir", "filename.index", and "filename.hash". If the -f flag is not used, then a temporary link to the name "history.n" is made and the database files are written as "history.n.index" , "history.n.hash" and "history.n.dir".

-i  To ignore the old database when determining the size of the new one to create, use the -i flag. Using the -o or -s flags implies the -i flag.

    When the old database is ignored, and a size is not specified with -s, makedbz will count the number of lines of the current text history file, add 10% to that count (for the next articles to arrive), and another 50% (or 100% if the slower tagged hash format is used) to determine the size of the new database to create. The aim is to optimize the performances of the database, keeping it filled below 2/3 of its size (or 1/2 with the tagged hash format).

    If no text history file exists, the new one will have the default creation size (see -s).

-o  If the -o flag is used, then the temporary link to "history.n" (or the name specified by the -f flag) is not made and any existing history files are overwritten. If the old database exists, makedbz will use it to determine the size of the new database (see -i).

-s size
    makedbz will also ignore any old database if the -s flag is used to specify the approximate number of entries in the new database. Accurately specifying the size is an optimization that will create a more efficient database. The news server will still accept more articles, but will be slower. Size is measured in key-value pairs (i.e. lines). (The size should be the estimated eventual size of the file, typically the size of the old file.)

    The effective size used will be larger, to optimize the performances of the database. For more information, see -i and the discussion of dbzfresh and dbzsize in libinn_dbz(3).

    The default is 6,666,666 when creating a new history database. (If the slower tagged hash format is used, the default is 500,000.)

HISTORY
Written by Katsuhiro Kondou <kondou@nec.co.jp> for InterNetNews. Converted to POD by Julien Elie.

SEE ALSO
history(5), libinn_dbz(3).